package com.tzld.piaoquan.recommend.server.repository;

import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@Entity
@Table(name = "video_demand_analysis")
public class VideoDemandAnalysis {
    @Id
    private Integer id;

    private Long videoId;

    private String videoLink;

    private String videoTitle;

    private String contentType;

    private Integer demandOrder;

    private Integer demandScore;

    private String demandCategory;

    private String hookTime;

    private String hookType;

    private String landingType;

    private Date createdAt;

    private String userDemand;

    private String demandReason;

    private String productHook;

    private String hookDesc;

    private String landingDesc;

    private String platformCase;
}